<?php
namespace Pinpoint\CarouselManager\Ui\Component\Listing\DataProviders\Pinpoint\Carouselmanager;
use Magento\Ui\DataProvider\AbstractDataProvider;
use Pinpoint\CarouselManager\Model\ResourceModel\Carousel\CollectionFactory;

/**
 * Class Listing
 * @package Pinpoint\CarouselManager\Ui\Component\Listing\DataProviders\Pinpoint\Carouselmanager
 */
class Listing extends AbstractDataProvider
{

    /**
     * @var CollectionFactory
     */
    protected $collection;

    /**
     * Listing constructor.
     * @param string $name
     * @param string $primaryFieldName
     * @param string $requestFieldName
     * @param CollectionFactory $collectionFactory
     * @param array $meta
     * @param array $data
     */
    public function __construct(
        $name,
        $primaryFieldName,
        $requestFieldName,
        CollectionFactory $collectionFactory,
        array $meta = [],
        array $data = []
    ) {
        parent::__construct($name, $primaryFieldName, $requestFieldName, $meta, $data);
        $this->collection = $collectionFactory->create();
    }
}
